/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

CREATE TABLE IF NOT EXISTS `chatting_msg` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` varchar(200) COLLATE utf8mb4_general_ci NOT NULL,
  `reg_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `room_id` bigint unsigned NOT NULL,
  `sender_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKd8o2iy0958prq4rm0cxnegafn` (`room_id`),
  KEY `FKo92i5oatplo7nb4n8l1ajyhhs` (`sender_id`),
  CONSTRAINT `FKd8o2iy0958prq4rm0cxnegafn` FOREIGN KEY (`room_id`) REFERENCES `chatting_room` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FKo92i5oatplo7nb4n8l1ajyhhs` FOREIGN KEY (`sender_id`) REFERENCES `member` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
